Subject: bug#53544: closed (Re: bug#53544: [installer] Trying to edit the generated config.scm crashes the installer)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Feb 2022 19:09:03 +0000

Your bug report

#53544: [installer] Trying to edit the generated config.scm crashes the installer

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53544: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53544
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53544: [installer] Trying to edit the generated config.scm crashes the installer
From: Leo Famulari <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Wed, 2 Feb 2022 14:08:17 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Feb 02, 2022 at 06:23:04PM +0100, Mathieu Othacehe wrote:
> I followed the exact same steps on Guix commit
> 4943ac86e4f95a2e14fd209f3fdaac74a0d9ca2e and could not reproduce the
> issue. It was possibly fixed by the wip-harden-installer branch
> merge. Could you please confirm that you have the same behaviour
> locally?

Indeed, it must have been fixed by the recent changes from that branch.
Thanks!

Subject: [installer] Trying to edit the generated config.scm crashes the installer
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Tue, 25 Jan 2022 23:14:52 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

While testing the installer built from the current master branch, we
found that trying to edit the generated config.scm crashes the
installer. Screenshot attached.

I built the installer like this:

$ guix environment guix -- ./pre-inst-env guix system image -t uncompressed-iso9660 --label="GUIX_x86_64-linux-leo" --system=x86_64-linux gnu/system/install.scm

I created a disk to install it with QEMU:

$ qemu-img create -f qcow2 guix-system.img 50G

And I ran the installer like this:

$ qemu-system-x86_64 -m 1024 -smp 1 -enable-kvm -nic user,model=virtio-net-pci -boot menu=on,order=d -device virtio-blk,drive=myhd -drive if=none,file=guix-system.img,id=myhd -drive media=cdrom,file=my-image.iso

I proceeded to select the default answers for all questions: no desktop,
the default networking-related services, DHCP network provider, guided
partitioning using the entire disk.

At the end, it shows the generated configuration, and crashes when I
select "edit". Unfortunately, the installer becomes unresponsive when
this happens, so I cannot scroll down and read the entire backtrace.